classification
Title: Python 3.5.7 import error on Cross compile
Type: compile error Stage: resolved
Components: Cross-Build Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Alex.Willmer, Brian Spratke, iritkatriel, terry.reedy
Priority: normal Keywords:

Created on 2019-03-26 13:55 by Brian Spratke, last changed 2021-06-24 23:32 by iritkatriel. This issue is now closed.

Messages (3)
msg338891 - (view) Author: Brian Spratke (Brian Spratke) Date: 2019-03-26 13:55
I apologize if this is a stupid question, but I am not very experienced building Python, or cross compiling.

While trying to cross compile Python 3.5.7 I can run configure, and make, but when I try to run 'make install' it throws the error posted below.  I was able to build with 3.5.1, but it appears that weakref.py has been added since then.  I think a lot of my problem is not understanding what the 'make install' step is doing.  Is it using python that is install on my Ubuntu machine? Is it trying to do another build step? Any help would be greatly appreciated.


Could not import runpy module
Traceback (most recent call last):
  File "./Lib/runpy.py", line 14, in <module>
    import importlib.machinery # importlib first so we can test #15386 via -m
  File "./Lib/importlib/__init__.py", line 57, in <module>
    import types
  File "./Lib/types.py", line 166, in <module>
    import functools as _functools
  File "./Lib/functools.py", line 23, in <module>
    from weakref import WeakKeyDictionary
  File "./Lib/weakref.py", line 12, in <module>
    from _weakref import (
ImportError: cannot import name '_remove_dead_weakref'
make[1]: *** [pybuilddir.txt] Error 1
make: *** [python-3.5.7] Error 1
msg339174 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-03-30 05:15
Python 3.5 and 3.6 only get security fixes.  Please test on 3.7 or even better 3.8.  Your questions should be directed to python-list.
msg396513 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-06-24 23:32
Closing as there has been no followup for over two years. Please create a new issue if you are still seeing an issue with a current (3.9+) version of Python.
History
Date User Action Args
2021-06-24 23:32:10iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg396513

resolution: out of date
stage: resolved
2019-03-30 05:15:48terry.reedysetnosy: + terry.reedy
messages: + msg339174
2019-03-26 13:55:36Brian Spratkesettype: compile error
2019-03-26 13:55:24Brian Spratkecreate